using System;
using System.IO;
using System.Collections.Generic;

namespace Exercises_C_Sharp.E20_Lists
{
    class Exercise_9
    {
        public static void Start()
        {

            List<int> intList = new List<int>() {46,45,2,3,-8,15,14,16,35,86,-84,25,78,6,32,-15,99,87, -38, 64, -42};

            //Kontrolle:
            Meth(intList);
            
        }

        //Schreiben Sie eine Methode, die alle Werte einer Integerliste als String ausgibt. So soll er beispielsweise bei der 1 -> "Eins" ausgeben und bei der 34 -> "Vierunddreißig". Es reicht aus, wenn es für ein und zweistellige Zahlen funktioniert. Schauen Sie auch, dass auch negative Zahlen ausgegeben werden:
        static void Meth(List<int> intList)
        {
            /*Code START*/
        	foreach(var element in intList)
            {
                Console.WriteLine(NumberToWord(element));
            }

            /*Code ENDE*/
        }

        static string NumberToWord(int i)
        {
            string vorzeichen = i < 0 ? "Minus " : string.Empty;
            i = Math.Abs(i);

            List<string> Einer = ["Null", "Ein", "Zwei", "Drei", "Vier", "Fünf", "Sechs", "Sieben", "Acht", "Neun"];
            List<string> Zehner = ["", "Zehn", "Zwanzig", "Dreißig", "Vierzig", "Fünfzig", "Sechzig", "Siebzig", "Achtzig", "Neunzig" ];

            int einer = i % 10;
            int zehner = i / 10;

            if(i == 1) return vorzeichen + "Eins";
            if(i == 11) return vorzeichen + "Elf";
            if(i == 12) return vorzeichen + "Zwölf";
            if(i == 16) return vorzeichen + "Sechzehn";
            if(i == 17) return vorzeichen + "Siebzehn";
            if(i < 10)
                return vorzeichen + Einer[einer];
            if(einer == 0)
                return vorzeichen + Zehner[zehner];
            return vorzeichen + Einer[einer] + "und" + Zehner[zehner].ToLower();

        }
    }
}