using System;
using System.IO;
using System.Collections.Generic;

namespace Exercises_C_Sharp.E28_Classes
{
    class Exercise_4
    {
        //Erstellen Sie eine statische Liste, wo man Elemente vom Typ Equipment reinspeichern kann
        //Code Start
        static List<Equipment> EList = [];
        //Code ENDE
        public static void Start()
        {
            string userinput;
            do
            {
                EList.Add(MakeEquipment());
                Console.WriteLine("Wollen Sie die weitere Eingabe abbrechen? (y -> JA, ABBRECHEN)");
                userinput = Console.ReadLine() ?? "";
            }
            while(userinput.Trim().ToUpper() != "Y");
            PrintEquipment();
        }

        //Lassen Sie hier einen Nutzer Ausrüstung erstellen (Eingabe einer ID, eines Namens und einer Anzahl) und gegen Sie diese zurück.
        static Equipment MakeEquipment()
        {
            //Code Start
            Equipment temp = new();

            Console.WriteLine("Bitte geben Sie eine ID ein:");
            temp.ID = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine("Bitte geben Sie einen Namen ein:");
            temp.Name = Console.ReadLine();
            Console.WriteLine("Bitte geben Sie eine Anzahl ein:");
            temp.Amount = Convert.ToInt32(Console.ReadLine());
            return temp;

            //Code ENDE
        }

        //Geben Sie hier die Liste mit Equipment optisch ansprechend aus.
        static void PrintEquipment()
        {
            //Code Start
            foreach(var element in EList)
            {
                Console.WriteLine();
                Console.WriteLine("****************************");
                Console.WriteLine("**   Equipment ID: {0}   **", element.ID);
                Console.WriteLine("****************************");
                Console.WriteLine("** Name: " + element.Name);
                Console.WriteLine("****************************");
                Console.WriteLine("** Amount: " + element.Amount);
                Console.WriteLine("****************************");
                Console.WriteLine();
            }
            
            
            //Code ENDE
        }
    }

    class Equipment
    {
        public int ID = -1;
        public string? Name = null;
        public int Amount = -1;
    }
}