namespace Exercises_C_Sharp.E42_Interfaces
{
    //Sie sehen unten drei Methoden, die alle drei zu verschiedenen Schnittstellen von der Software führen. Die Schnittstellen haben alle drei fest definierte Interfaces.
    //Sie sollen nun eine Klasse schreiben, die von allen drei Interfaces ableitet. Erstellen Sie dann in der Start-Methode ein neues Objekt Ihrer Klasse und rufen Sie die drei Methoden mit dem Objekt auf.
    class Exercise_3
    {
        public static void Start()
        {
            //Code START

            //Code ENDE
        }

        static void BringerMeth(IBringer bring)
        {
            bring.Bring("Stuff");
        }
        static void GetIt(IGetter getter)
        {
            Console.WriteLine(getter.Get());
        }
        static void Receiver(IReceiver receiver)
        {
            Console.WriteLine(receiver.Receive());
        }
    }

    interface IBringer
    {
        void Bring(string val);
    }

    interface IGetter
    {
        string Get();
    }

    interface IReceiver
    {
        string Receive();
    }


    //Code START

    //Code ENDE

}